kind: pipeline
type: docker
name: default

steps:
- name: run
  image: python:3.9
  commands:
    - pip install -r requirements.txt
    - cd web  # Change to the correct directory
    - python app.py

- name: cleanup
  image: alpine:latest
  commands:
    - echo "Cleaning up any created data..."
    - rm -rf /tmp/*